device_type: rk3399-rock-pi-4b
job_name: {{ job_name }}
visibility: public
timeouts:
  job:
    minutes: 60
  action:
    minutes: 60
  connection:
    minutes: 2

actions:

- deploy:
    to: downloads
    images:
      firmware:
        url: {{ firmware_url["ts-firmware-rockpi4b.rootfs.wic.gz"] }}
        compression: gz
      os:
        url: {{ os_url["trs-image-trs-qemuarm64.rootfs.wic.bz2"] }}
        compression: bz2

      script:
        url: https://git.linaro.org/ci/job/configs.git/plain/ledge/ts/scripts/ts-merge-images.sh
      {% for name, test_file in test_files: %}
      {{ name }}:
        url: {{ base_build_url }}/{{ test_file }}
      {% endfor %}
    postprocess:
      docker:
        image: debian
        steps:
          - 'apt-get update'
          - 'apt-get install -qy fdisk gdisk'
          - 'fdisk -l ts-firmware-rockpi4b.rootfs.wic'
          - 'fdisk -l trs-image-trs-qemuarm64.rootfs.wic'
          - 'bash ts-merge-images.sh ts-firmware-rockpi4b.rootfs.wic trs-image-trs-qemuarm64.rootfs.wic'
          - 'fdisk -l ts-firmware-rockpi4b.rootfs.wic'

- deploy:
    to: flasher
    images:
      image:
        url: downloads://ts-firmware-rockpi4b.rootfs.wic
        partition: 6
        format: ext4
        overlays:
          lava: true

- boot:
    method: minimal
    timeout:
      minutes: 15
    auto_login:
      login_prompt: "login:"
      username: "root"
    prompts:
      - root@(.*):[/~]#

{% include "tests.yaml.jinja2" %}
